diff --git a/src/ui/MainWindow.ui b/src/ui/MainWindow.ui
index f733647..ec7a1fc 100644
--- a/src/ui/MainWindow.ui
+++ b/src/ui/MainWindow.ui
@@ -18,7 +18,7 @@
   </property>
   <widget class="QWidget" name="centralwidget">
    <layout class="QGridLayout" name="gridLayout">
-    <item row="2" column="0" colspan="2">
+    <item row="2" column="0" colspan="3">
      <widget class="QFrame" name="frame">
       <property name="enabled">
        <bool>true</bool>
@@ -36,13 +36,13 @@
        <enum>QFrame::Raised</enum>
       </property>
       <layout class="QGridLayout" name="gridLayout_2">
-       <item row="8" column="3">
-        <widget class="QLabel" name="Release_static">
+       <item row="9" column="4">
+        <widget class="QLabel" name="Date_submitted">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
-           <weight>75</weight>
-           <bold>true</bold>
+           <weight>50</weight>
+           <bold>false</bold>
            <kerning>true</kerning>
           </font>
          </property>
@@ -53,15 +53,15 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>Release</string>
+          <string>__</string>
          </property>
          <property name="alignment">
-          <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="11" column="3">
-        <widget class="QLabel" name="Karma_static">
+       <item row="11" column="5">
+        <widget class="QLabel" name="Submitter_static">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -77,20 +77,20 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>Karma</string>
+          <string>Submitter</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="11" column="6">
-        <widget class="QLabel" name="Submit_user">
+       <item row="8" column="5">
+        <widget class="QLabel" name="Status_static">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
-           <weight>50</weight>
-           <bold>false</bold>
+           <weight>75</weight>
+           <bold>true</bold>
            <kerning>true</kerning>
           </font>
          </property>
@@ -101,20 +101,20 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>Username</string>
+          <string>Status</string>
          </property>
          <property name="alignment">
-          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
+          <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="11" column="5">
-        <widget class="QLabel" name="Submitter_static">
+       <item row="11" column="6">
+        <widget class="QLabel" name="Submit_user">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
-           <weight>75</weight>
-           <bold>true</bold>
+           <weight>50</weight>
+           <bold>false</bold>
            <kerning>true</kerning>
           </font>
          </property>
@@ -125,15 +125,22 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>Submitter</string>
+          <string>__</string>
          </property>
          <property name="alignment">
-          <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="9" column="5">
-        <widget class="QLabel" name="Request_static">
+       <item row="25" column="6" colspan="2">
+        <widget class="QPushButton" name="pushButton">
+         <property name="text">
+          <string>Submit</string>
+         </property>
+        </widget>
+       </item>
+       <item row="8" column="3">
+        <widget class="QLabel" name="Release_static">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -149,20 +156,20 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>Request</string>
+          <string>Release</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="8" column="5">
-        <widget class="QLabel" name="Status_static">
+       <item row="8" column="4">
+        <widget class="QLabel" name="Release">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
-           <weight>75</weight>
-           <bold>true</bold>
+           <weight>50</weight>
+           <bold>false</bold>
            <kerning>true</kerning>
           </font>
          </property>
@@ -173,20 +180,23 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>Status</string>
+          <string>__</string>
          </property>
          <property name="alignment">
-          <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="9" column="6">
-        <widget class="QLabel" name="Request">
+       <item row="18" column="4" colspan="5">
+        <widget class="QLineEdit" name="Password"/>
+       </item>
+       <item row="9" column="5">
+        <widget class="QLabel" name="Request_static">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
-           <weight>50</weight>
-           <bold>false</bold>
+           <weight>75</weight>
+           <bold>true</bold>
            <kerning>true</kerning>
           </font>
          </property>
@@ -197,46 +207,158 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string/>
+          <string>Request</string>
          </property>
          <property name="alignment">
-          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
+          <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+         </property>
+        </widget>
+       </item>
+       <item row="0" column="0" rowspan="26">
+        <widget class="QFrame" name="frame_2">
+         <property name="minimumSize">
+          <size>
+           <width>300</width>
+           <height>600</height>
+          </size>
+         </property>
+         <property name="maximumSize">
+          <size>
+           <width>300</width>
+           <height>16777215</height>
+          </size>
+         </property>
+         <property name="frameShape">
+          <enum>QFrame::StyledPanel</enum>
+         </property>
+         <property name="frameShadow">
+          <enum>QFrame::Raised</enum>
          </property>
+         <layout class="QGridLayout" name="gridLayout_3">
+          <item row="1" column="0" colspan="2">
+           <widget class="QListWidget" name="listWidget"/>
+          </item>
+          <item row="10" column="0">
+           <widget class="QLabel" name="label_4">
+            <property name="text">
+             <string>Page number:</string>
+            </property>
+           </widget>
+          </item>
+          <item row="10" column="1">
+           <widget class="QLabel" name="PageNum">
+            <property name="text">
+             <string>1</string>
+            </property>
+           </widget>
+          </item>
+          <item row="11" column="0" colspan="2">
+           <widget class="QPushButton" name="fetchUpdatesButton">
+            <property name="text">
+             <string>Fetch Updates</string>
+            </property>
+           </widget>
+          </item>
+          <item row="0" column="0" colspan="2">
+           <widget class="QLineEdit" name="lineEdit"/>
+          </item>
+          <item row="8" column="0">
+           <widget class="QPushButton" name="previousButton">
+            <property name="text">
+             <string>Previous</string>
+            </property>
+           </widget>
+          </item>
+          <item row="8" column="1">
+           <widget class="QPushButton" name="nextButton">
+            <property name="text">
+             <string>Next</string>
+            </property>
+           </widget>
+          </item>
+         </layout>
         </widget>
        </item>
-       <item row="7" column="3" colspan="7">
-        <widget class="QLabel" name="Release_notes">
+       <item row="25" column="4">
+        <widget class="QLabel" name="label">
          <property name="text">
-          <string>TextLabel</string>
+          <string>Karma</string>
          </property>
         </widget>
        </item>
-       <item row="9" column="3">
-        <widget class="QLabel" name="Date_static">
+       <item row="12" column="2" colspan="5">
+        <widget class="QTreeWidget" name="treeWidget_comment">
+         <column>
+          <property name="text">
+           <string>#</string>
+          </property>
+         </column>
+         <column>
+          <property name="text">
+           <string>karma</string>
+          </property>
+         </column>
+         <column>
+          <property name="text">
+           <string>user</string>
+          </property>
+         </column>
+         <column>
+          <property name="text">
+           <string>comment</string>
+          </property>
+         </column>
+        </widget>
+       </item>
+       <item row="6" column="3">
+        <widget class="QLabel" name="Package_breif">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
-           <weight>75</weight>
-           <bold>true</bold>
-           <kerning>true</kerning>
+           <pointsize>12</pointsize>
+           <weight>50</weight>
+           <bold>false</bold>
           </font>
          </property>
-         <property name="cursor">
-          <cursorShape>ArrowCursor</cursorShape>
-         </property>
-         <property name="layoutDirection">
-          <enum>Qt::LeftToRight</enum>
+         <property name="text">
+          <string>breif</string>
          </property>
+        </widget>
+       </item>
+       <item row="14" column="3">
+        <widget class="QLabel" name="label_2">
          <property name="text">
-          <string>date submitted</string>
+          <string>Comment</string>
          </property>
-         <property name="alignment">
-          <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+        </widget>
+       </item>
+       <item row="25" column="5">
+        <widget class="QComboBox" name="comboBox">
+         <property name="currentText">
+          <string>0</string>
          </property>
+         <property name="currentIndex">
+          <number>1</number>
+         </property>
+         <item>
+          <property name="text">
+           <string>-1</string>
+          </property>
+         </item>
+         <item>
+          <property name="text">
+           <string>0</string>
+          </property>
+         </item>
+         <item>
+          <property name="text">
+           <string>+1</string>
+          </property>
+         </item>
         </widget>
        </item>
-       <item row="8" column="4">
-        <widget class="QLabel" name="Release">
+       <item row="11" column="4">
+        <widget class="QLabel" name="Karma">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -252,39 +374,59 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>F30</string>
+          <string>__</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="11" column="4">
-        <widget class="QLabel" name="Karma">
+       <item row="18" column="3">
+        <widget class="QLineEdit" name="Username"/>
+       </item>
+       <item row="12" column="7">
+        <widget class="QListWidget" name="listWidget_3">
+         <property name="maximumSize">
+          <size>
+           <width>400</width>
+           <height>16777215</height>
+          </size>
+         </property>
+        </widget>
+       </item>
+       <item row="5" column="3" colspan="4">
+        <widget class="QLabel" name="Package_name_main">
+         <property name="maximumSize">
+          <size>
+           <width>1000</width>
+           <height>1000</height>
+          </size>
+         </property>
          <property name="font">
           <font>
            <family>OpenSymbol</family>
+           <pointsize>22</pointsize>
            <weight>50</weight>
            <bold>false</bold>
-           <kerning>true</kerning>
           </font>
          </property>
-         <property name="cursor">
-          <cursorShape>ArrowCursor</cursorShape>
-         </property>
-         <property name="layoutDirection">
-          <enum>Qt::LeftToRight</enum>
-         </property>
          <property name="text">
-          <string>0</string>
+          <string>Package Name</string>
          </property>
-         <property name="alignment">
-          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
+        </widget>
+       </item>
+       <item row="15" column="3" colspan="6">
+        <widget class="QTextEdit" name="textEdit">
+         <property name="maximumSize">
+          <size>
+           <width>16777215</width>
+           <height>100</height>
+          </size>
          </property>
         </widget>
        </item>
-       <item row="9" column="4">
-        <widget class="QLabel" name="Date_submitted">
+       <item row="8" column="6">
+        <widget class="QLabel" name="Status">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -300,131 +442,75 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>xxx Days</string>
+          <string>__</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="5" column="3" colspan="4">
-        <widget class="QLabel" name="Package_name_main">
+       <item row="11" column="3">
+        <widget class="QLabel" name="Karma_static">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
-           <pointsize>22</pointsize>
-           <weight>50</weight>
-           <bold>false</bold>
+           <weight>75</weight>
+           <bold>true</bold>
+           <kerning>true</kerning>
           </font>
          </property>
+         <property name="cursor">
+          <cursorShape>ArrowCursor</cursorShape>
+         </property>
+         <property name="layoutDirection">
+          <enum>Qt::LeftToRight</enum>
+         </property>
          <property name="text">
-          <string>Package Name</string>
+          <string>Karma</string>
+         </property>
+         <property name="alignment">
+          <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="6" column="3">
-        <widget class="QLabel" name="Package_breif">
+       <item row="9" column="6">
+        <widget class="QLabel" name="Request">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
-           <pointsize>12</pointsize>
            <weight>50</weight>
            <bold>false</bold>
+           <kerning>true</kerning>
           </font>
          </property>
-         <property name="text">
-          <string>breif</string>
-         </property>
-        </widget>
-       </item>
-       <item row="13" column="5" colspan="5">
-        <widget class="QTreeWidget" name="treeWidget_comment">
-         <column>
-          <property name="text">
-           <string>#</string>
-          </property>
-         </column>
-         <column>
-          <property name="text">
-           <string>karma</string>
-          </property>
-         </column>
-         <column>
-          <property name="text">
-           <string>user</string>
-          </property>
-         </column>
-         <column>
-          <property name="text">
-           <string>comment</string>
-          </property>
-         </column>
-        </widget>
-       </item>
-       <item row="14" column="3" colspan="7">
-        <widget class="QTextEdit" name="textEdit">
-         <property name="maximumSize">
-          <size>
-           <width>16777215</width>
-           <height>100</height>
-          </size>
-         </property>
-        </widget>
-       </item>
-       <item row="13" column="3" colspan="2">
-        <widget class="QListWidget" name="listWidget_3">
-         <property name="maximumSize">
-          <size>
-           <width>400</width>
-           <height>16777215</height>
-          </size>
-         </property>
-        </widget>
-       </item>
-       <item row="0" column="0" rowspan="23">
-        <widget class="QFrame" name="frame_2">
-         <property name="minimumSize">
-          <size>
-           <width>300</width>
-           <height>600</height>
-          </size>
+         <property name="cursor">
+          <cursorShape>ArrowCursor</cursorShape>
          </property>
-         <property name="maximumSize">
-          <size>
-           <width>300</width>
-           <height>16777215</height>
-          </size>
+         <property name="layoutDirection">
+          <enum>Qt::LeftToRight</enum>
          </property>
-         <property name="frameShape">
-          <enum>QFrame::StyledPanel</enum>
+         <property name="text">
+          <string/>
          </property>
-         <property name="frameShadow">
-          <enum>QFrame::Raised</enum>
+         <property name="alignment">
+          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
          </property>
-         <layout class="QGridLayout" name="gridLayout_3">
-          <item row="0" column="0">
-           <widget class="QLineEdit" name="lineEdit"/>
-          </item>
-          <item row="1" column="0">
-           <widget class="QListWidget" name="listWidget"/>
-          </item>
-         </layout>
         </widget>
        </item>
-       <item row="22" column="6" colspan="2">
-        <widget class="QPushButton" name="pushButton">
+       <item row="16" column="4" colspan="5">
+        <widget class="QLabel" name="Password_label">
          <property name="text">
-          <string>Submit</string>
+          <string>Password</string>
          </property>
         </widget>
        </item>
-       <item row="8" column="6">
-        <widget class="QLabel" name="Status">
+       <item row="9" column="3">
+        <widget class="QLabel" name="Date_static">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
-           <weight>50</weight>
-           <bold>false</bold>
+           <weight>75</weight>
+           <bold>true</bold>
            <kerning>true</kerning>
           </font>
          </property>
@@ -435,42 +521,27 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>Testing</string>
+          <string>date submitted</string>
          </property>
          <property name="alignment">
-          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
+          <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="22" column="3">
-        <widget class="QComboBox" name="comboBox">
-         <property name="currentText">
-          <string>0</string>
-         </property>
-         <property name="currentIndex">
-          <number>1</number>
+       <item row="7" column="3" colspan="5">
+        <widget class="QTextBrowser" name="Release_notes"/>
+       </item>
+       <item row="16" column="3">
+        <widget class="QLabel" name="Username_Label">
+         <property name="text">
+          <string>Username</string>
          </property>
-         <item>
-          <property name="text">
-           <string>-1</string>
-          </property>
-         </item>
-         <item>
-          <property name="text">
-           <string>0</string>
-          </property>
-         </item>
-         <item>
-          <property name="text">
-           <string>+1</string>
-          </property>
-         </item>
         </widget>
        </item>
        <item row="1" column="3">
         <widget class="QLabel" name="UpdateType">
          <property name="text">
-          <string>TextLabel</string>
+          <string>__</string>
          </property>
         </widget>
        </item>
@@ -479,14 +550,10 @@
       <zorder>frame_2</zorder>
       <zorder>Package_breif</zorder>
       <zorder>textEdit</zorder>
-      <zorder>listWidget_3</zorder>
       <zorder>Package_name_main</zorder>
       <zorder>Release_static</zorder>
       <zorder>Date_static</zorder>
-      <zorder>comboBox</zorder>
       <zorder>pushButton</zorder>
-      <zorder>Release_notes</zorder>
-      <zorder>treeWidget_comment</zorder>
       <zorder>Release</zorder>
       <zorder>Date_submitted</zorder>
       <zorder>Karma</zorder>
@@ -497,18 +564,22 @@
       <zorder>Status</zorder>
       <zorder>Request</zorder>
       <zorder>UpdateType</zorder>
+      <zorder>Username</zorder>
+      <zorder>Password</zorder>
+      <zorder>Username_Label</zorder>
+      <zorder>Password_label</zorder>
+      <zorder>comboBox</zorder>
+      <zorder>label</zorder>
+      <zorder>label_2</zorder>
+      <zorder>Release_notes</zorder>
+      <zorder>listWidget_3</zorder>
+      <zorder>treeWidget_comment</zorder>
      </widget>
     </item>
-    <item row="0" column="1">
-     <widget class="QLabel" name="Logged_user">
-      <property name="maximumSize">
-       <size>
-        <width>150</width>
-        <height>16777215</height>
-       </size>
-      </property>
+    <item row="0" column="2">
+     <widget class="QLabel" name="label_3">
       <property name="text">
-       <string>Login</string>
+       <string>TextLabel</string>
       </property>
      </widget>
     </item>
